%define upstream_name    ack
%define upstream_version 1.96

Name:       %{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Grep-like text finder for large trees of text
License:    GPL+ or Artistic
Group:      Text tools
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/P/PE/PETDANCE/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Next) >= 0.400.0
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Term::ANSIColor)
BuildRequires: perl(Test::Harness) >= 2.500.0
BuildRequires: perl(Test::More)
BuildRequires: perl
BuildArch:  noarch

%description
ack is a grep-like program with optimizations for searching through large trees
of source code.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
# tests failing on cluster because they seem to require a real term.
# ==> skipping tests for now
#%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%files
%doc Changes META.yml TODO
%{perl_vendorlib}/App/*
%{_mandir}/*/*
%{_bindir}/*

%changelog

* Mon Sep 26 2011 jquelin <jquelin> 1.960.0-1.mga2
+ Revision: 148007
- update to 1.96

* Wed Feb 16 2011 jquelin <jquelin> 1.940.0-1.mga1
+ Revision: 52210
- update to 1.94

* Fri Jan 21 2011 jquelin <jquelin> 1.920.0-1.mga1
+ Revision: 29765
- mageia rebuild
- imported package ack

